import toJson from '../utils/toJson.js';
function JsonLd({ type = 'Thing', keyOverride, scriptKey, dataArray, ...rest }) {
    const JsonLdScript = () => `
<script
  type="application/ld+json"
  key="jsonld-${scriptKey}${keyOverride ? `-${keyOverride}` : ''}"
>
${toJson(type, dataArray === undefined ? { ...rest } : dataArray)}
</script>
`;
    return JsonLdScript();
}
export { JsonLd };
